using System;
using System.Collections.Generic;
using System.Text;

namespace NumericFormatSpecifiers
{
   class MainClass
   {
      public static void Main(string[] args)
      {
         double dVal = 59.99;
         double dNeg = -569.99;
         double zeroVal = 0.0;
         double pct = 0.23;

         string formatString = "{0:#,###0.00 PLN;(#,###0.00 PLN);zero}";
         Console.WriteLine(string.Format(formatString, dVal));
         Console.WriteLine(string.Format(formatString, dNeg));
         Console.WriteLine(string.Format(formatString, zeroVal));
         Console.WriteLine(pct.ToString("00%"));

         Console.ReadLine();
      }
   }
}
